Bug 43743 - change the mouse cursor if the mouse is over the hyperlink
change the mouse cursor if the mouse is over the hyperlink
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: Output Window
4.x
All All
: P4 (vote)
: 4.x
Assigned To: _ tboudreau
issues@platform
: UI
Depends on:
Blocks: 43882
  Show dependency treegraph
 
Reported: 2004-05-24 15:05 UTC by Lukas Hasik
Modified: 2008-12-22 21:41 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Hasik 2004-05-24 15:05:48 UTC
to indicate that one click would navigate to the
editor

-change to what cursor ?  Jano specify and
reassign to Tim, thanks
Comment 1 Lukas Hasik 2004-05-25 10:08:12 UTC
output2.jar from 05/25
seems fine for me, really nice hand over hyperlinks (just like in
mozilla :))
Jano, would it be enoght ? Is it ok from UI point of view ?
Comment 2 jrojcek 2004-05-25 10:37:12 UTC
Looks cool. But while I was playing with at some point the mouse cursor over hyperlinks 
stopped changing - it was just a plain arrow.
Comment 3 _ tboudreau 2004-05-25 18:00:31 UTC
I may fix this - right now, if the document is word wrapped and longer than 100,000 
characters it stops trying to change the cursor.  This is because calculating the position in 
word wrap mode means you have to iterate every line in the document to see how many 
lines it wraps across to know the real position of a Point in terms of the document.

I'll switch off this limitation once I have a good system for precalculating this data if the 
file is bigger than a threshold value (since it means one integer per line in the document, I 
want to not cache this info until there is a performance penalty if I don't).
Comment 4 _ tboudreau 2004-06-11 03:34:34 UTC
Checking in src/org/netbeans/core/output2/OutWriter.java;
/cvs/core/output2/src/org/netbeans/core/output2/OutWriter.java,v  <--
 OutWriter.java
new revision: 1.4; previous revision: 1.3
done
Processing log script arguments...
More commits to come...
Checking in src/org/netbeans/core/output2/ui/AbstractOutputPane.java;
/cvs/core/output2/src/org/netbeans/core/output2/ui/AbstractOutputPane.java,v
 <--  AbstractOutputPane.java
new revision: 1.6; previous revision: 1.5
done
Processing log script arguments...
Mailing the commit message to cvs@core.netbeans.org (from
tboudreau@netbeans.org)
Comment 5 Lukas Hasik 2004-06-15 08:54:01 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo